APINHI
Update an NHI source
Rename a source or rotate its credentials.
PATCH
/nhi/sources/{source_id}Rename a source or rotate its credentials.
Path Parameters
source_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PATCH body. Omit config to leave the configuration untouched; its
provider must match the source's.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/nhi/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "microsoft_entra", "name": "string", "external_id": "string", "status": "connected", "last_checked_at": "2019-08-24T14:15:22Z", "config": { "provider": "microsoft_entra", "tenant_id": "string", "client_id": "string", "has_client_secret": true }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}